Bug 1015226 - [abrt] libreoffice-core-4.1.2.2-1.fc19: sd::toolpanel::controls::DocumentHelper::AssignMasterPageToPageList: Process /usr/lib64/libreoffice/program/soffice.bin was killed by signal 11 (SIGSEGV)
[abrt] libreoffice-core-4.1.2.2-1.fc19: sd::toolpanel::controls::DocumentHelp...
Status: CLOSED DUPLICATE of bug 993256
Product: Fedora
Classification: Fedora
Component: libreoffice (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Caolan McNamara
Fedora Extras Quality Assurance
abrt_hash:7b5937dd98661da20e0438f0ef8...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-03 13:08 EDT by Paul DeStefano
Modified: 2013-11-11 10:14 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-11 10:14:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (75.91 KB, text/plain)
2013-10-03 13:08 EDT, Paul DeStefano
no flags Details
File: cgroup (141 bytes, text/plain)
2013-10-03 13:08 EDT, Paul DeStefano
no flags Details
File: core_backtrace (35.93 KB, text/plain)
2013-10-03 13:08 EDT, Paul DeStefano
no flags Details
File: dso_list (27.07 KB, text/plain)
2013-10-03 13:08 EDT, Paul DeStefano
no flags Details
File: environ (1.87 KB, text/plain)
2013-10-03 13:08 EDT, Paul DeStefano
no flags Details
File: exploitable (82 bytes, text/plain)
2013-10-03 13:08 EDT, Paul DeStefano
no flags Details
File: limits (1.29 KB, text/plain)
2013-10-03 13:08 EDT, Paul DeStefano
no flags Details
File: maps (122.89 KB, text/plain)
2013-10-03 13:09 EDT, Paul DeStefano
no flags Details
File: open_fds (574 bytes, text/plain)
2013-10-03 13:09 EDT, Paul DeStefano
no flags Details
File: proc_pid_status (948 bytes, text/plain)
2013-10-03 13:09 EDT, Paul DeStefano
no flags Details
File: var_log_messages (687 bytes, text/plain)
2013-10-03 13:09 EDT, Paul DeStefano
no flags Details

  None (edit)
Description Paul DeStefano 2013-10-03 13:08:31 EDT
Version-Release number of selected component:
libreoffice-core-4.1.2.2-1.fc19

Additional info:
reporter:       libreport-2.1.7
backtrace_rating: 4
cmdline:        /usr/lib64/libreoffice/program/soffice.bin --impress --splash-pipe=5
crash_function: sd::toolpanel::controls::DocumentHelper::AssignMasterPageToPageList
executable:     /usr/lib64/libreoffice/program/soffice.bin
kernel:         3.11.1-200.fc19.x86_64
runlevel:       N 5
type:           CCpp
uid:            1002

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 sd::toolpanel::controls::DocumentHelper::AssignMasterPageToPageList at /usr/src/debug/libreoffice-4.1.2.2/sd/source/ui/toolpanel/controls/DocumentHelper.cxx:309
 #1 sd::toolpanel::controls::MasterPagesSelector::AssignMasterPageToSelectedSlides at /usr/src/debug/libreoffice-4.1.2.2/sd/source/ui/toolpanel/controls/MasterPagesSelector.cxx:385
 #2 sd::toolpanel::controls::MasterPagesSelector::Execute at /usr/src/debug/libreoffice-4.1.2.2/sd/source/ui/toolpanel/controls/MasterPagesSelector.cxx:531
 #3 SfxShell::CallExec at /usr/src/debug/libreoffice-4.1.2.2/include/sfx2/shell.hxx:185
 #4 SfxDispatcher::Call_Impl at /usr/src/debug/libreoffice-4.1.2.2/sfx2/source/control/dispatch.cxx:243
 #5 SfxDispatcher::_Execute at /usr/src/debug/libreoffice-4.1.2.2/sfx2/source/control/dispatch.cxx:924
 #6 SfxDispatcher::Execute at /usr/src/debug/libreoffice-4.1.2.2/sfx2/source/control/dispatch.cxx:1064
 #7 sd::toolpanel::controls::MasterPagesSelector::ClickHandler at /usr/src/debug/libreoffice-4.1.2.2/sd/source/ui/toolpanel/controls/MasterPagesSelector.cxx:241
 #8 ValueSet::Tracking at /usr/src/debug/libreoffice-4.1.2.2/svtools/source/control/valueset.cxx:1315
 #9 Window::EndTracking at /usr/src/debug/libreoffice-4.1.2.2/vcl/source/window/window2.cxx:718

Potential duplicate: bug 993256
Comment 1 Paul DeStefano 2013-10-03 13:08:36 EDT
Created attachment 807166 [details]
File: backtrace
Comment 2 Paul DeStefano 2013-10-03 13:08:39 EDT
Created attachment 807167 [details]
File: cgroup
Comment 3 Paul DeStefano 2013-10-03 13:08:43 EDT
Created attachment 807168 [details]
File: core_backtrace
Comment 4 Paul DeStefano 2013-10-03 13:08:47 EDT
Created attachment 807169 [details]
File: dso_list
Comment 5 Paul DeStefano 2013-10-03 13:08:51 EDT
Created attachment 807170 [details]
File: environ
Comment 6 Paul DeStefano 2013-10-03 13:08:54 EDT
Created attachment 807171 [details]
File: exploitable
Comment 7 Paul DeStefano 2013-10-03 13:08:58 EDT
Created attachment 807172 [details]
File: limits
Comment 8 Paul DeStefano 2013-10-03 13:09:01 EDT
Created attachment 807173 [details]
File: maps
Comment 9 Paul DeStefano 2013-10-03 13:09:05 EDT
Created attachment 807174 [details]
File: open_fds
Comment 10 Paul DeStefano 2013-10-03 13:09:09 EDT
Created attachment 807175 [details]
File: proc_pid_status
Comment 11 Paul DeStefano 2013-10-03 13:09:12 EDT
Created attachment 807176 [details]
File: var_log_messages
Comment 12 Caolan McNamara 2013-10-07 07:33:20 EDT
pMasterPage must be corrupt on entry to that method, but of course I can't tell where that might have happened.

Is this crash reproducible ?
Comment 13 Paul DeStefano 2013-10-14 09:17:13 EDT
Hi Caolan,

I don't know, actually.  I certainly had a few crashes working on a particular few documents.  I don't often have crashes, so it's possible this can be reproduced when these files are loaded.

I will send you the documents. See bug 1014990.
Comment 14 David Tardon 2013-11-11 10:14:16 EST

*** This bug has been marked as a duplicate of bug 993256 ***

Note You need to log in before you can comment on or make changes to this bug.